## pgrouting 3.7.2

=== debian/changelog ===
pgrouting (3.7.2-2) unstable; urgency=medium

  * Team upload.
  * Fix building with pre-3.27 CMake.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Jan 2025 15:11:25 +0000

pgrouting (3.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jan 2025 16:05:27 +0100

## pgrouting 3.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "In-source builds not allowed.
    Please make a new directory (called a build directory) and run CMake from there.
    You may need to remove CMakeCache.txt." )
endif()

if(POLICY CMP0144)
    cmake_policy(SET CMP0144 OLD)
endif()

if(POLICY CMP0167)
    cmake_policy(SET CMP0167 OLD)
endif()

if(POLICY CMP0148)
    cmake_policy(SET CMP0148 OLD)
endif()

#---------------------------------------------
# Setting kind of build
#---------------------------------------------

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(pgr/BuildType)


#---------------------------------------------
#---------------------------------------------
#---------------------------------------------

project(PGROUTING VERSION 3.7.3
    LANGUAGES C CXX )
set(PROJECT_VERSION_DEV "")
string(TOLOWER "${PROJECT_NAME}" PROJECT_NAME_LOWER)

include(pgr/GitInfo)
include(pgr/Version)

add_definitions(-DPROJECT_VERSION="${PROJECT_VERSION}${PROJECT_VERSION_DEV}")
set(PROJECT_LIB_NAME "${PROJECT_NAME_LOWER}-${PROJECT_LIB_VERSION}")

string(TIMESTAMP COMPILATION_DATE "%Y/%m/%d" UTC)

set(MINORS 3.7 3.6 3.5 3.4 3.3 3.2 3.1 3.0 2.6)
set(OLD_SIGNATURES
    3.7.2
    3.7.1
    3.7.0
    3.6.3
    3.6.2
    3.6.1
    3.6.0
    3.5.1
    3.5.0
    3.4.2
    3.4.1
    3.4.0
    3.3.5 3.3.4 3.3.3 3.3.2 3.3.1 3.3.0
    3.2.2 3.2.1 3.2.0
    3.1.4 3.1.3 3.1.2 3.1.1 3.1.0
    3.0.6 3.0.5 3.0.4 3.0.3 3.0.2 3.0.1 3.0.0
    2.6.3 2.6.2 2.6.1 2.6.0
    )



#=============================================
# Set the working directories
#=============================================
include(pgr/Configure)


#---------------------------------------------
# minimum versions
#---------------------------------------------
set(DOXYGEN_MINIMUM_VERSION "1.7")
set(SPHINX_MINIMUM_VERSION "4.0")
set(POSTGRESQL_MINIMUM_VERSION "13.0.0")
set(BOOST_MINIMUM_VERSION "1.56.0")
set(POSTGIS_MINIMUM_VERSION "3.0.0")

message(STATUS "DOXYGEN_MINIMUM_VERSION=${DOXYGEN_MINIMUM_VERSION}")
message(STATUS "SPHINX_MINIMUM_VERSION=${SPHINX_MINIMUM_VERSION}")
message(STATUS "POSTGRESQL_MINIMUM_VERSION=${POSTGRESQL_MINIMUM_VERSION}")
message(STATUS "BOOST_MINIMUM_VERSION=${BOOST_MINIMUM_VERSION}")
message(STATUS "POSTGIS_MINIMUM_VERSION=${POSTGIS_MINIMUM_VERSION}")

# cmake 3.2 adds unwanted flags
if(WIN32 AND MSVC)
    set(CMAKE_C_FLAGS "")
    set(CMAKE_CXX_FLAGS "")
endif()

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
# C/C++ Compiler requirements
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------

find_package(Boost ${BOOST_MINIMUM_VERSION} REQUIRED)
if (NOT Boost_VERSION_MACRO)
    set(Boost_VERSION_MACRO ${Boost_VERSION})
endif()
set(BOOST_VERSION "${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
if (BOOST_VERSION VERSION_LESS "1.75.0")
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_STANDARD 11)
        set(CMAKE_CXX_STANDARD_REQUIRED ON)
        set(CMAKE_CXX_EXTENSIONS OFF)
    else()
        CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
        if(COMPILER_SUPPORTS_CXX0X)
            add_compile_options("-std=c++0x")
            message(STATUS "Using  -std=c++0x.")
        else()
        message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++0x or C++11 flags support.
            Using: callback compiler's standard")
        endif()
    endif()
else()
    set(CMAKE_CXX_STANDARD 14)
endif()

add_definitions(-DBOOST_ALLOW_DEPRECATED_HEADERS)
set(COMPILER_VERSION "${CMAKE_CXX_COMPILER_ID}-${CMAKE_CXX_COMPILER_VERSION}")


#---------------------------------------------
# Windows compiler flags
#---------------------------------------------


if(WIN32 AND NOT MSVC)
    set(OS_BUILD  $ENV{OS_BUILD})
    if(NOT OS_BUILD)
        set(OS_BUILD "64")
    endif()
    set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH}:/c/ming${OS_BUILD}/projects/pgx${OS_BUILD}/pg92)
    if (NOT BOOST_ROOT)
        set(BOOST_ROOT c:/ming${OS_BUILD}/msys/local)
    endif()

    if (PROJECT_DEBUG)
        message(STATUS "OS_BUILD=${OS_BUILD}")
        message(STATUS "BOOST_ROOT=${BOOST_ROOT}")
        message(STATUS "CMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}")
    endif()
endif(WIN32 AND NOT MSVC)

if(WIN32 AND MSVC)
    add_compile_options(
        -D_CRT_SECURE_NO_DEPRECATE
        -D_SCL_SECURE_NO_DEPRECATE
        -D_CRT_SECURE_NO_WARNINGS
        -D_SCL_SECURE_NO_WARNINGS
        -D_CRT_NONSTDC_NO_DEPRECATE
        -D_CRT_NONSTDC_NO_DEPRECATE
        -EHsc)
endif()

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
# Finding prerequisites
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------

#---------------------------------------------
#---------------------------------------------
# Perl
#---------------------------------------------
#---------------------------------------------
include(FindPerl)
if(NOT PERL_EXECUTABLE)
    message(FATAL_ERROR "perl NOT FOUND - Please check your Perl installation.")
endif()

#---------------------------------------------
#---------------------------------------------
# PostgreSQL
#---------------------------------------------
#---------------------------------------------
find_package(PostgreSQL "${POSTGRESQL_MINIMUM_VERSION}")

# removing type of release on postgres version
# for XbetaY XalphaY XrcY -> X.Y
string(REGEX REPLACE "([0-9]+)[beta|alpha|rc|devel].*" "\\1.0" POSTGRESQL_VERSION_STRING ${POSTGRESQL_VERSION_STRING})
message(STATUS "POSTGRESQL_VERSION_STRING=${POSTGRESQL_VERSION_STRING}")

# calcualte mayor.micro
STRING(REGEX MATCH "([0-9]+)\.([0-9]+)" POSTGRESQL_VERSION "${POSTGRESQL_VERSION_STRING}")
message(STATUS "POSTGRESQL_VERSION=${POSTGRESQL_VERSION}")

# split mayor minor
string(REPLACE "." ";" VERSION_LIST ${POSTGRESQL_VERSION})
list(GET VERSION_LIST 0 POSTGRESQL_VERSION_MAYOR)
list(GET VERSION_LIST 1 POSTGRESQL_VERSION_MINOR)

# calculate math value of postgres version
math(EXPR PGSQL_VERSION "${POSTGRESQL_VERSION_MAYOR} * 1000 + ${POSTGRESQL_VERSION_MINOR}")
message(STATUS "PGSQL_VERSION=${PGSQL_VERSION}")

#-------
include_directories(SYSTEM ${POSTGRESQL_INCLUDE_DIR})
if(WIN32)
    include_directories(SYSTEM ${POSTGRESQL_INCLUDE_DIR}/port/win32)
    if(MSVC)
        include_directories(SYSTEM ${POSTGRESQL_INCLUDE_DIR}/port/win32_msvc/)
    endif()
endif()

add_definitions(-DPGSQL_VERSION=${PGSQL_VERSION})
message(STATUS "PGSQL_VERSION=${PGSQL_VERSION}")


#---------------------------------------------
#---------------------------------------------
# Boost
#---------------------------------------------
#---------------------------------------------

include_directories(SYSTEM ${Boost_INCLUDE_DIRS})


#---------------------------------------------
if (PROJECT_DEBUG)
    message(STATUS "PERL_VERSION_STRING = ${PERL_VERSION_STRING}")
    message(STATUS "POSTGRESQL_VERSION is ${PGSQL_VERSION}")
    message(STATUS "PGSQL_VERSION is ${PGSQL_VERSION}")
    message(STATUS "Boost_INCLUDE_DIRS = ${Boost_INCLUDE_DIRS}")
    message(STATUS "POSTGRESQL_INCLUDE_DIR = ${POSTGRESQL_INCLUDE_DIR}")
endif()


#---------------------------------------------
#---------------------------------------------
# PROJECT includes
#---------------------------------------------
#---------------------------------------------
include_directories(${PROJECT_SOURCE_DIR}/include)

#---------------------------------------------
# library directory
#---------------------------------------------
execute_process(
    COMMAND ${POSTGRESQL_PG_CONFIG} --pkglibdir
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE LIBRARY_INSTALL_PATH)

if(NOT LIBRARY_INSTALL_PATH)
    message(FATAL_ERROR "pg_config --pkglibdir failed to return a value. Please check your PostgreSQL installation!")
endif()

message(STATUS "LIBRARY_INSTALL_PATH ${LIBRARY_INSTALL_PATH}")

#---------------------------------------------
# extension directory
#---------------------------------------------

execute_process(
    COMMAND ${POSTGRESQL_PG_CONFIG} --sharedir
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE SHARE_DIR)

#-------
if(SHARE_DIR)
    set(SHARE_DIR "${SHARE_DIR}/extension")
else(SHARE_DIR)
    message(FATAL_ERROR "pg_config --sharedir failed to return a value. Please check your PostgreSQL installation!")
endif(SHARE_DIR)

#---------------------------------------------

if (PROJECT_DEBUG)
    message(STATUS "POSTGRESQL_LIBRARIES=${POSTGRESQL_LIBRARIES}")
    message(STATUS "LIBRARY_INSTALL_PATH=${LIBRARY_INSTALL_PATH}")
    message(STATUS "SHARE_DIR=${SHARE_DIR}")
endif()



#---------------------------------------------
# Special cases for windows
#---------------------------------------------

if(WIN32)
    link_directories(${POSTGRESQL_LIBRARIES})
    link_libraries(postgres)
endif()

#-----------------------------------------------------------------------------

if (PROJECT_DEBUG)
    get_property(dirs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY INCLUDE_DIRECTORIES)
    message(STATUS "INCLUDE_DIRECTORIES='${dirs}'")
endif()


#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#compiler directives
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# https://www.postgresql.org/docs/10/xfunc-c.html

if(NOT WIN32)
    CHECK_C_COMPILER_FLAG("-fPIC" C_COMPILER_SUPPORTS_FPIC)
    CHECK_CXX_COMPILER_FLAG("-fPIC" CXX_COMPILER_SUPPORTS_FPIC)
    if(C_COMPILER_SUPPORTS_FPIC)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC ")
    endif()
    if(CXX_COMPILER_SUPPORTS_FPIC)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC ")
    endif()
endif()

if(WIN32 AND MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_C_FLAGS}")
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
    if (CMAKE_CXX_COMPILER_ID MATCHES "GNU")
        CHECK_C_COMPILER_FLAG("-frounding-math" C_COMPILER_SUPPORTS_ROUNDING_MATH)
        CHECK_CXX_COMPILER_FLAG("-frounding-math" CXX_COMPILER_SUPPORTS_ROUNDING_MATH)
        if(C_COMPILER_SUPPORTS_ROUNDING_MATH)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -frounding-math ")
        endif()
        if(CXX_COMPILER_SUPPORTS_ROUNDING_MATH)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -frounding-math ")
        endif()
    endif()

    set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG}   -Wall -Wconversion -Wmissing-prototypes -W -Wunused -Wuninitialized -Wextra -Wdouble-promotion")
    add_definitions(-Wsign-conversion)
    if(BOOST_Geometry_VERSION_OK)
        set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wconversion -pedantic -W -Wunused -Wuninitialized -Wextra -Wdouble-promotion")
    else()
        set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -pedantic -W -Wunused -Wuninitialized -Wextra -Wdouble-promotion")
    endif()
endif()



#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (PROJECT_DEBUG)
    message(STATUS "CMAKE_CXX_FLAGS_DEBUG= ${CMAKE_CXX_FLAGS_DEBUG}")
    message(STATUS "CMAKE_CXX_FLAGS_RELEASE= ${CMAKE_CXX_FLAGS_RELEASE}")
    message(STATUS "CMAKE_CXX_FLAGS= ${CMAKE_CXX_FLAGS}")

    message(STATUS "CMAKE_C_FLAGS_DEBUG= ${CMAKE_C_FLAGS_DEBUG}")
    message(STATUS "CMAKE_C_FLAGS_RELEASE= ${CMAKE_C_FLAGS_RELEASE}")
    message(STATUS "CMAKE_C_FLAGS= ${CMAKE_C_FLAGS}")

    message(STATUS "UNIX=${UNIX}")

=== requirements.txt ===
Sphinx>4.0.0,<7.0.0
sphinx-bootstrap-theme>=0.8.0

=== doc/CMakeLists.txt ===
#
# Find Sphinx
# Find Sphinx executable to build documentation
# Source: https://ericscottbarr.com/blog/2012/03/sphinx-and-cmake-beautiful-documentation-for-c-projects/
#
# Daniel Kastl 03/2013
#

#---------------------------------------------
# Kind of sphinx output
#---------------------------------------------

option(WITH_DOC
    "Set ON|OFF (default=OFF) to build Documentation library tree" OFF)

option(LOCALE
    "Set ON|OFF (default=OFF) to build ithe latest pot/po files" OFF)

option(WITH_ALL_DOC
    "Set ON|OFF (default=OFF) to build Documentation library tree" OFF)

#option(PDF
#    "Set ON|OFF (default=OFF) to build Documentation library tree as PDF" OFF)

option(BUILD_LATEX
    "Set ON|OFF (default=OFF) to build Documentation library tree as PDF" OFF)

option(SINGLEHTML
    "Set ON|OFF (default=OFF) to build Documentation library tree as SINGLE HTML" OFF)

option(BUILD_HTML
    "Set ON|OFF (default=OFF) to build Documentation library tree as HTML" ON)

option(BUILD_MAN
    "Set ON|OFF (default=OFF) to build Documentation library tree as MAN page" OFF)

option(LINKCHECK
    "Set ON|OFF (default=OFF) to build Documentation library tree as LINKCHECK page" OFF)

option(EPUB
    "Set ON|OFF (default=OFF) to build Documentation library tree as EPUB page" OFF)

option(DUMMY
    "Set ON|OFF (default=OFF) for debugging purposes" OFF)

if (LOCALE)
    set(WITH_DOC ON)
endif()

if (NOT WITH_DOC)
    return()
endif()

foreach(opt BUILD_HTML BUILD_LATEX BUILD_MAN SINGLEHTML EPUB DUMMY LINKCHECK)
    if (${${opt}} OR WITH_ALL_DOC)
        string(TOLOWER ${opt} val)
        string(REPLACE "build_" "" val ${val})
        list(APPEND PROJECT_DOC_TARGETS ${val})
        set(WITH_DOC ON)
    endif()
endforeach()



message(STATUS "PROJECT_DOC_TARGETS = ${PROJECT_DOC_TARGETS}")

#---------------------------------------------
#---------------------------------------------
#---------------------------------------------

# LANGUAGES SETINGS

#---------------------------------------------
#---------------------------------------------
#---------------------------------------------

#---------------------------------------------
# Available Languages
# English is always built
#---------------------------------------------
set(PROJECT_SUPPORTED_LANGUAGES  "de"   "es"  "fr"  "it"  "ja"  "zh_Hans")
set(PROJECT_ENGLISH "en")

#---------------------------------------------
# Language options
#---------------------------------------------
option(WITH_ALL_LANG
    "Set ON|OFF (default=OFF) to build all the supported languages:
    Main Language will always be built:
    ${PROJECT_ENGLISH}
    Optional languages:
    ${PROJECT_SUPPORTED_LANGUAGES}

    When OFF and want to build specific optional language, use the language code in capital letters:
    -D ES=ON
    "
    OFF
    )

foreach(lang ${PROJECT_SUPPORTED_LANGUAGES})
    string(TOUPPER ${lang} val)
    option(${val}
        "Set ON|OFF (default=OFF) build ${lang} Documentation" OFF)
endforeach()

#---------------------------------------------
# Catching the language options to be build
#---------------------------------------------
foreach(lang ${PROJECT_SUPPORTED_LANGUAGES})
    string(TOUPPER ${lang} opt)
    if (${opt} OR WITH_ALL_LANG)
        set (langFound  "1")
        list(APPEND PROJECT_BUILD_LANGUAGES ${lang})
    endif()
endforeach()


#---------------------------------------------
# All languages po files are to be generated
#---------------------------------------------

set (SPHINXINTL_LANGUAGE  ${PROJECT_ENGLISH})
foreach(lang ${PROJECT_BUILD_LANGUAGES})
    set(SPHINXINTL_LANGUAGE "${SPHINXINTL_LANGUAGE},${lang}")
endforeach()


list(APPEND PROJECT_BUILD_LANGUAGES  ${PROJECT_ENGLISH})
message(STATUS "PROJECT_BUILD_LANGUAGES = ${PROJECT_BUILD_LANGUAGES}")
message(STATUS "SPHINXINTL_LANGUAGE = ${SPHINXINTL_LANGUAGE}")


if(NOT WITH_DOC)
    return()
endif()

option(DOC_USE_BOOTSTRAP
    "Set ON|OFF (default=ON) to build Documentation library with bootstrap" OFF)

#---------------------------------------------
# Checking for prerequisites
#---------------------------------------------
find_package(Sphinx ${SPHINX_MINIMUM_VERSION})

if (NOT SPHINX_FOUND)
    message(WARNING "Sphinx not found.
    building without documentation")
    return()
endif()

if (SPHINX_VERSION VERSION_LESS ${SPHINX_MINIMUM_VERSION})
    message(WARNING "Found Sphinx v${SPHINX_VERSION}!
    This project requires Sphinx at least v${SPHINX_MINIMUM_VERSION}
    building without documentation")
    return()
endif()

#pip install rst2pdf



#---------------------------------------------
# Kind of "looks"
#---------------------------------------------

if (DOC_USE_BOOTSTRAP)
    set(SPHINX_INCLUDE "import sphinx_bootstrap_theme")
    set(SPHINX_THEME "bootstrap")
    set(SPHINX_THEME_DIR "sphinx_bootstrap_theme.get_html_theme_path()")
    set(SPHINX_THEME_OPTIONS "
    'navbar_class': \"navbar\",
    'source_link_position': \"nav\",
    'bootstrap_version': \"2\",
    ")
# Modify
#   https://github.com/ryan-roemer/sphinx-bootstrap-theme/blob/master/sphinx_bootstrap_theme/bootstrap/layout.html#L67
#   adding the call to get the history of the file
    set(THEME_HISTORY "
{%- block content %}
{{ navBar() }}
<div class=\"container\">
    <div class=\"row\">
        {%- block sidebar1 %}{{ bsidebar() }}{% endblock %}
        <div class=\"body {{ bs_span_prefix }}{{ bs_content_width }} content\" role=\"main\">
            <script> document.write(get_history('{{ pagename }}','{{ language }}'));  </script>
            {% block body %}{% endblock %}
        </div>
        {% block sidebar2 %} {# possible location for sidebar #} {% endblock %}
    </div>
</div>
{%- endblock %}
    ")
else()
    set(SPHINX_INCLUDE "")
    set(SPHINX_THEME "haiku")
    set(SPHINX_THEME_DIR "['']")
    set(SPHINX_THEME_OPTIONS "")
    set(THEME_HISTORY "")
endif()




# configured documentation tools and intermediate build results
# TODO for 3.0 Use _build
# set(PGR_DOCUMENTATION_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/_build")
set(PGR_DOCUMENTATION_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}")
set(PGR_DOCUMENTATION_SOURCE_DIR "${CMAKE_CURRENT_BINARY_DIR}")

message(STATUS "PGR_DOCUMENTATION_BUILD_DIR = ${PGR_DOCUMENTATION_BUILD_DIR}")


#---------------------------------------------
# Adding documentation directories
#---------------------------------------------
foreach (subdir ${PROJECT_DOC_DIRECTORIES} "src")
    add_subdirectory("${subdir}")
    if (EXISTS "../docqueries/${subdir}")
        add_subdirectory("../docqueries/${subdir}" "build/doc/${subdir}")
    endif()
endforeach()

add_subdirectory("images")


configure_file("../tools/testers/sampledata.sql" "${PGR_DOCUMENTATION_SOURCE_DIR}/sampledata/sampledata.sql")


#TODO ???
#add_subdirectory("static")
#add_subdirectory("themes")
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/_static" DESTINATION "${PGR_DOCUMENTATION_SOURCE_DIR}")
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/_themes" DESTINATION "${PGR_DOCUMENTATION_SOURCE_DIR}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/_templates/layout.html"
    "${PGR_DOCUMENTATION_SOURCE_DIR}/_templates/layout.html" @ONLY)


configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/conf.py.in"
    "${PGR_DOCUMENTATION_SOURCE_DIR}/conf.py"
    @ONLY)

# Add documentation to targets


#if (LATEX)
if (FALSE)
    find_package(LATEX)
    if (NOT LATEX_COMPILER)
        message("Couldn't find Latex, can't build latex docs using Sphinx")
    else()
        message(STATUS "LATEX_COMPILER = ${LATEX_COMPILER}")
    endif()
endif()

set(ENV{SPHINXINTL_LANGUAGE} ${SPHINXINTL_LANGUAGE})

if (LOCALE)
    add_custom_target(locale
        COMMAND ${SPHINX_EXECUTABLE}
        -b gettext
        -j auto
        -c "${PGR_DOCUMENTATION_SOURCE_DIR}"
        "${PGR_DOCUMENTATION_SOURCE_DIR}"
        "${CMAKE_SOURCE_DIR}/locale/pot"

        COMMAND sphinx-intl update -d ${CMAKE_SOURCE_DIR}/locale -l en > locale_changes.txt
    #COMMAND sphinx-intl update -p ${CMAKE_SOURCE_DIR}/locale/pot -d ${CMAKE_SOURCE_DIR}/locale --language=${SPHINXINTL_LANGUAGE}
    #COMMAND sphinx-intl update-txconfig-resources --locale-dir ${CMAKE_SOURCE_DIR}/locale --pot-dir ${CMAKE_SOURCE_DIR}/locale/pot --transifex-project-name pgrouting


    COMMENT "Generating POT files ..."
    SOURCES ${PROJECT_DOC_FILES}
    )
endif()


# The doc target will build all documentation targets.
add_custom_target(doc
    COMMENT "Building documentation with Sphinx")


foreach (target ${PROJECT_DOC_TARGETS})
    add_custom_target("${target}"
        COMMENT "Building ${target} documentation with Sphinx")

    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/forward.html"
        "${PGR_DOCUMENTATION_BUILD_DIR}/${target}/index.html")

    foreach (lang ${PROJECT_BUILD_LANGUAGES})
        add_custom_target(
            "${target}-${lang}"
            COMMAND ${SPHINX_EXECUTABLE}
            #-q  # Enable for quiet mode
            #-Q  # Enable for even more quiet mode
            -v   # increase verbosity
            -W
            --keep-going
            -j auto
            #-E  # don't use a saved environment, always read all file
            #-a  # write all files; default is to only write new and changed files
            -b ${target}
            -D language='${lang}'
            -c "${PGR_DOCUMENTATION_SOURCE_DIR}"
            "${PGR_DOCUMENTATION_SOURCE_DIR}"
            "${PGR_DOCUMENTATION_BUILD_DIR}/${target}/${lang}"

            COMMENT "Generating ${target}/${lang} documentation ..."
            SOURCES ${PROJECT_DOC_FILES}  ${PROJECT_IMG_FILES}
            DEPENDS ${PROJECT_DOC_FILES}  ${PROJECT_IMG_FILES}
            )
        add_dependencies(${target} "${target}-${lang}")

    endforeach()
    add_dependencies(doc "${target}")
endforeach()



if(FALSE)
    # AND ${target} MATCHES "latex" AND LATEX_COMPILER)
    add_custom_target(pdf-${lang}
        COMMENT "Building documentation with Sphinx")

    add_custom_command(
        TARGET pdf-${lang} POST_BUILD
        #fixes: Underfull \hbox (badness 10000) in paragraph
        #perl -pi -e 's/warning/warning /' pgRoutingDocumentation.tex
        COMMAND pdflatex -interaction=nonstopmode "pgRoutingDocumentation.tex" > /dev/null 2>&1
        WORKING_DIRECTORY "${PGR_DOCUMENTATION_BUILD_DIR}/pdf/${lang}"
        DEPENDS ${target}-${lang}
        COMMENT "Converting Latex to PDF format")

endif()

=== sql/CMakeLists.txt ===
add_subdirectory(sigs)


#-------------------
# From the parent get the subdirectories that have the SQL files
#
# configuring the PROJECT_SQL_FILES variable
#-------------------

set(PROJECT_MODULE_PATHNAME "$libdir/lib${PROJECT_NAME_LOWER}-${PROJECT_LIB_VERSION}")

foreach (subdir ${PROJECT_SQL_DIRECTORIES})
    add_subdirectory(${subdir})
endforeach()

if (PROJECT_DEBUG)
    message(STATUS "PROJECT_MODULE_PATHNAME ${PROJECT_MODULE_PATHNAME}")
endif()



#-------------------
# TARGET: PROJECT_SQL_FILE
#
# Builds:  ${PROJECT_NAME_LOWER}--${PROJECT_VERSION}.sql
#
# add the scripts subdirectory
# the variable ${PROJECT_SQL_FILES} should already be set at this point
#
# has the perl for building the current sql file
# has the perl for building the update files
#-------------------

set(PROJECT_EXTENSION_FILE "${PROJECT_NAME_LOWER}--${PROJECT_VERSION}.sql")

# subdirectory that has the perl files
add_subdirectory(scripts)



add_custom_command(
    OUTPUT ${PROJECT_EXTENSION_FILE}
    COMMAND ${PERL_EXECUTABLE} ./scripts/build-extension-file.pl '${PROJECT_SQL_FILES}'
    DEPENDS
    scripts/build-extension-file.pl
    ${PROJECT_SQL_FILES}
    )

add_custom_target(extension_file ALL
    DEPENDS
    ${PROJECT_EXTENSION_FILE}
    )

#-------------------
# TARGET: update_files
#-------------------
foreach (old_s ${OLD_SIGNATURES})
    string(REGEX REPLACE "^([0-9]+\\.[0-9]+).*" "\\1" minor_s ${old_s})
    SET (UPDATE_FILES ${UPDATE_FILES} ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}--${old_s}--${PROJECT_VERSION}.sql)
    add_custom_command(
        OUTPUT ${PROJECT_NAME_LOWER}--${old_s}--${PROJECT_VERSION}.sql

        COMMAND ${PERL_EXECUTABLE} ./scripts/build-extension-update-files.pl "${PROJECT_VERSION}" "${old_s}" "${CMAKE_CURRENT_BINARY_DIR}/sigs" "${CMAKE_CURRENT_BINARY_DIR}" "${PROJECT_DEBUG}"
        DEPENDS
        ./scripts/build-extension-update-files.pl
        ${PROJECT_EXTENSION_FILE}
        extension_file
        ./sigs/${PROJECT_NAME_LOWER}--${minor_s}.sig
        )
endforeach()

add_custom_target(update_files ALL
    DEPENDS
    ${UPDATE_FILES}
    )


SET(PROJECT_FILES_TO_INSTALL  ${UPDATE_FILES} ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_EXTENSION_FILE} ${CMAKE_CURRENT_BINARY_DIR}/common/${PROJECT_NAME_LOWER}.control PARENT_SCOPE)

=== doc/bellman_ford/CMakeLists.txt ===

SET(LOCAL_FILES
    pgr_bellmanFord.rst
    pgr_edwardMoore.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/categories/CMakeLists.txt ===

SET(LOCAL_FILES
    BFS-category.rst
    cost-category.rst
    costMatrix-category.rst
    DFS-category.rst
    drivingDistance-category.rst
    KSP-category.rst
    spanningTree-family.rst
    via-category.rst
    VRP-category.rst
    withPoints-category.rst
)

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)
set(PROJECT_IMG_FILES ${PROJECT_IMG_FILES} PARENT_SCOPE)

=== doc/dijkstra/CMakeLists.txt ===

SET(LOCAL_FILES
    dijkstra-family.rst
    pgr_dijkstraCostMatrix.rst
    pgr_dijkstraCost.rst
    pgr_dijkstra.rst
    pgr_dijkstraVia.rst
    pgr_dijkstraNear.rst
    pgr_dijkstraNearCost.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/metrics/CMakeLists.txt ===

SET(LOCAL_FILES
    metrics-family.rst
    pgr_betweennessCentrality.rst
   )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/mincut/CMakeLists.txt ===

SET(LOCAL_FILES
    pgr_stoerWagner.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/pickDeliver/CMakeLists.txt ===

SET(LOCAL_FILES
     pgr_pickDeliverEuclidean.rst
     pgr_pickDeliver.rst
     pgr_vrpOneDepot.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/spanningTree/CMakeLists.txt ===

SET(LOCAL_FILES
    #pgr_randomSpanTree.rst
    kruskal-family.rst
    prim-family.rst
    pgr_kruskal.rst
    pgr_kruskalDD.rst
    pgr_kruskalDFS.rst
    pgr_kruskalBFS.rst

    pgr_prim.rst
    pgr_primDD.rst
    pgr_primDFS.rst
    pgr_primBFS.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/utilities/CMakeLists.txt ===
SET(LOCAL_FILES
    pgr_findCloseEdges.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== debian/changelog ===
pgrouting (3.7.3-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Feb 2025 05:34:42 +0100

pgrouting (3.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop 2728.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Feb 2025 05:34:42 +0100

=== debian/control ===
Source: pgrouting
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: misc
Priority: optional
Build-Depends: architecture-is-64-bit <!pkg.postgresql.32-bit>,
               cmake (>= 3.2),
               debhelper-compat (= 13),
               libboost-graph-dev,
               postgis,
               postgresql-server-dev-all,
               rdfind,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgrouting
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgrouting.git
Homepage: https://www.pgrouting.org
Rules-Requires-Root: no

Package: postgresql-13-pgrouting
Architecture: any
Depends: postgresql-13-pgrouting-scripts (>= ${source:Version}),
         postgresql-13,
         postgresql-13-postgis,
         postgresql-13-postgis-scripts,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 13.

Package: postgresql-14-pgrouting
Architecture: any
Depends: postgresql-14-pgrouting-scripts (>= ${source:Version}),
         postgresql-14,
         postgresql-14-postgis,
         postgresql-14-postgis-scripts,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 14.

Package: postgresql-15-pgrouting
Architecture: any
Depends: postgresql-15-pgrouting-scripts (>= ${source:Version}),
         postgresql-15,
         postgresql-15-postgis,
         postgresql-15-postgis-scripts,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 15.

Package: postgresql-16-pgrouting
Architecture: any
Depends: postgresql-16-pgrouting-scripts (>= ${source:Version}),
         postgresql-16,
         postgresql-16-postgis,
         postgresql-16-postgis-scripts,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 16.

Package: postgresql-17-pgrouting
Architecture: any
Depends: postgresql-17-pgrouting-scripts (>= ${source:Version}),
         postgresql-17,
         postgresql-17-postgis,
         postgresql-17-postgis-scripts,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 17.

Package: postgresql-13-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 13.

Package: postgresql-14-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 14.

Package: postgresql-15-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 15.

Package: postgresql-16-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 16.

Package: postgresql-17-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 17.

Package: postgresql-pgrouting
Architecture: any
Section: metapackages
Depends: postgresql-pgrouting-scripts,
         postgresql-17-pgrouting,
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - Metapackage
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This metapackage depends on the PgRouting package for PostgreSQL 17.

Package: postgresql-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Section: metapackages
Depends: postgresql-17-pgrouting-scripts,
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts metapackage
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This metapackage depends on the PgRouting scripts package for
 PostgreSQL 17.

## pgrouting 3.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #---------------------------------------------
 #---------------------------------------------
 
-project(PGROUTING VERSION 3.7.3
+project(PGROUTING VERSION 3.8.0
     LANGUAGES C CXX )
 set(PROJECT_VERSION_DEV "")
 string(TOLOWER "${PROJECT_NAME}" PROJECT_NAME_LOWER)
@@ -43,8 +43,9 @@
 
 string(TIMESTAMP COMPILATION_DATE "%Y/%m/%d" UTC)
 
-set(MINORS 3.7 3.6 3.5 3.4 3.3 3.2 3.1 3.0 2.6)
+set(MINORS 3.8 3.7 3.6 3.5 3.4 3.3 3.2 3.1 3.0 2.6)
 set(OLD_SIGNATURES
+    3.7.3
     3.7.2
     3.7.1
     3.7.0

=== requirements.txt ===
Sphinx>4.0.0,<7.0.0
sphinx-bootstrap-theme>=0.8.0
sphinx-collapse

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -264,7 +264,7 @@
         "${PGR_DOCUMENTATION_SOURCE_DIR}"
         "${CMAKE_SOURCE_DIR}/locale/pot"
 
-        COMMAND sphinx-intl update -d ${CMAKE_SOURCE_DIR}/locale -l en > locale_changes.txt
+        COMMAND sphinx-intl update -p ${CMAKE_SOURCE_DIR}/locale/pot -d ${CMAKE_SOURCE_DIR}/locale -l en > locale_changes.txt
     #COMMAND sphinx-intl update -p ${CMAKE_SOURCE_DIR}/locale/pot -d ${CMAKE_SOURCE_DIR}/locale --language=${SPHINXINTL_LANGUAGE}
     #COMMAND sphinx-intl update-txconfig-resources --locale-dir ${CMAKE_SOURCE_DIR}/locale --pot-dir ${CMAKE_SOURCE_DIR}/locale/pot --transifex-project-name pgrouting
 
@@ -295,6 +295,8 @@
             #-q  # Enable for quiet mode
             #-Q  # Enable for even more quiet mode
             -v   # increase verbosity
+            -n   # warn about all missing references
+            --color
             -W
             --keep-going
             -j auto

=== doc/alpha_shape/CMakeLists.txt ===

SET(LOCAL_FILES
    pgr_alphaShape.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/bdAstar/CMakeLists.txt ===

SET(LOCAL_FILES
    bdAstar-family.rst
    pgr_bdAstar.rst
    pgr_bdAstarCost.rst
    pgr_bdAstarCostMatrix.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/bdDijkstra/CMakeLists.txt ===

SET(LOCAL_FILES
    bdDijkstra-family.rst
    pgr_bdDijkstraCost.rst
    pgr_bdDijkstraCostMatrix.rst
    pgr_bdDijkstra.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/categories/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
     DFS-category.rst
     drivingDistance-category.rst
     KSP-category.rst
-    spanningTree-family.rst
+    spanningTree-category.rst
     via-category.rst
     VRP-category.rst
     withPoints-category.rst

=== doc/chinese/CMakeLists.txt ===

SET(LOCAL_FILES
    chinesePostmanProblem-family.rst
    pgr_chinesePostmanCost.rst
    pgr_chinesePostman.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/circuits/CMakeLists.txt ===

SET(LOCAL_FILES
    pgr_hawickCircuits.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== doc/components/CMakeLists.txt ===

SET(LOCAL_FILES
    components-family.rst
	pgr_connectedComponents.rst
	pgr_strongComponents.rst
	pgr_biconnectedComponents.rst
	pgr_articulationPoints.rst
	pgr_bridges.rst
  pgr_makeConnected.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

add_subdirectory("images")
set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)
set(PROJECT_IMG_FILES ${PROJECT_IMG_FILES} PARENT_SCOPE)

=== doc/contraction/CMakeLists.txt ===

SET(LOCAL_FILES
    contraction-family.rst
    pgr_contraction.rst
    pgr_contractionDeadEnd.rst
    pgr_contractionLinear.rst
    pgr_contractionHierarchies.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

add_subdirectory("images")
set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)
set(PROJECT_IMG_FILES ${PROJECT_IMG_FILES} PARENT_SCOPE)

=== doc/dominator/CMakeLists.txt ===

SET(LOCAL_FILES
    pgr_lengauerTarjanDominatorTree.rst
    )

foreach (f ${LOCAL_FILES})
    configure_file(${f} "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}")
    list(APPEND LOCAL_DOC_FILES  ${PGR_DOCUMENTATION_SOURCE_DIR}/${f})
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)

=== debian/changelog ===
pgrouting (3.8.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Christoph Berg ]
  * Team upload for PostgreSQL 18.
  * debian/tests: Depend on postgresql-common-dev.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 13:30:56 +0200

pgrouting (3.8.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:26:59 +0200

pgrouting (3.8.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Apr 2025 17:25:09 +0200

=== debian/control ===
Source: pgrouting
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: misc
Priority: optional
Build-Depends: architecture-is-64-bit <!pkg.postgresql.32-bit>,
               cmake (>= 3.2),
               debhelper-compat (= 13),
               libboost-graph-dev,
               postgis,
               postgresql-server-dev-all,
               rdfind,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgrouting
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgrouting.git
Homepage: https://www.pgrouting.org
Rules-Requires-Root: no

Package: postgresql-18-pgrouting
Architecture: any
Depends: postgresql-18-pgrouting-scripts (>= ${source:Version}),
         postgresql-18,
         postgresql-18-postgis,
         postgresql-18-postgis-scripts,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 18.

Package: postgresql-18-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 18.

Package: postgresql-pgrouting
Architecture: any
Section: metapackages
Depends: postgresql-pgrouting-scripts,
         postgresql-18-pgrouting,
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - Metapackage
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This metapackage depends on the PgRouting package for PostgreSQL 18.

Package: postgresql-pgrouting-scripts
Architecture: all
Multi-Arch: foreign
Section: metapackages
Depends: postgresql-18-pgrouting-scripts,
         ${misc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts metapackage
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This metapackage depends on the PgRouting scripts package for
 PostgreSQL 18.

=== debian/tests/control ===
Depends: @, postgresql-common-dev
Tests: create-extension
Restrictions: allow-stderr
